export default interface Legend {
  /**
*maps attributes of legend items to data set properties.Contains the following properties
*/
  values?: {
    /**
 *the id of the series that will be bound to the legend
 */
    id: string | number;
    /**
    *the pointer to the data value to take a text for the legend from
    */
    text: string;
    /**
   *the pointer to the data value to take a color for the legend from
   */
    color?: string;
    /**
 * transparency of a legend item
 */
    alpha?: number;

  };
  /**
  * the form of the legend markers("rect" or "circle")
  */
  form?: string;
  /**
   * padding between legend items
   */
  itemPadding?: number;
  /**
   * the horizontal alignment of the legend block: "left"|"right"|"center"
   */
  halign?: string;
  /**
   * the vertical alignment of the block: "top"|"bottom"|"middle"
   */
  valign?: string;
  /**
   * the list of series that should be shown in the legend
   */
  series?: string[];
  /**
   * margin between the scale and the legend
   */
  margin?: number;
}
