export default interface Scale {

  /** sets a title for a scale */
  title?: string;

  /** the type of a scale: "left","right","top","bottom","radial" */
  type?: string;

  /** sets a template for labels of data items rendered on a scale*/
  text?: string;

  /** points to the data property, the values of which should be rendered in the chart (used for Scatter chart) */
  locator?: string;

  /**distance between labels of data items and the scale */
  textPadding?: number;

  /**shows/hides labels of data items on the scale */
  showText?: boolean;

  /**distance between the scale and its title */
  scalePadding?: number;

  /**hides/shows the whole scale */
  hidden?: boolean;

  /** shows/hides the grid lines (for x,y, or both scales).
   * true by default for both scales (scales lines are shown).
   * To hide both scales lines, you need to set grid:false in the configs of each scale */
  grid?: boolean;

  /** sets the dashed type for a scale. Use the dashed:true option in the configuration of the scale */
  dashed?: boolean;

  /**shows a threshold line (a target value); looks for the specified value in the data */
  targetLine?: number;

  /**allows setting a threshold line at any defined level(any number, not necessarily from the data) */
  targetValue?: number;

  /**the maximal value of the Y scale*/
  max?: number;

  /**the minimal value of the Y scale */
  min?: number;

  /**sets the Y scale as logarithmic */
  log?: boolean;

  /** the padding between the values of the Y scale(area) */
  padding?: number;

  /**sets the maximal number of ticks on the Y scale */
  maxTicks?: number;

  /** sets a template for scale labels*/
  textTemplate?(): void;
}
